# Uses of Interface
com.sun.mirror.declaration.ConstructorDeclaration

Packages that use ConstructorDeclaration
Package
Description
com.sun.mirror.declaration
Interfaces used to model program element declarations.
com.sun.mirror.util
Utilities to assist in the processing of declarations and types.

## Uses of ConstructorDeclaration in com.sun.mirror.declaration

Methods in com.sun.mirror.declaration that return types with arguments of type ConstructorDeclaration
Modifier and Type
Method
Description
`Collection<ConstructorDeclaration>`
ClassDeclaration.`getConstructors()`
Returns the constructors of this class.

## Uses of ConstructorDeclaration in com.sun.mirror.util

Methods in com.sun.mirror.util with parameters of type ConstructorDeclaration
Modifier and Type
Method
Description
`void`
DeclarationVisitor.`visitConstructorDeclaration(ConstructorDeclaration d)`
Visits a constructor declaration.
`void`
SimpleDeclarationVisitor.`visitConstructorDeclaration(ConstructorDeclaration d)`
Visits a constructor declaration.